- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# fxProgram Struct Reference

`#include <vstfxstore.h>`

List of all members.

## Public Attributes
VstInt32 | chunkMagic
| 'CcnK'
VstInt32 | byteSize
| size of this chunk, excl. magic + byteSize
VstInt32 | fxMagic
| 'FxCk' (regular) or 'FPCh' (opaque chunk)
VstInt32 | version
| format version (currently 1)
VstInt32 | fxID
| fx unique ID
VstInt32 | fxVersion
| fx version
VstInt32 | numParams
| number of parameters
char | prgName [28]
| program name (null-terminated ASCII string)
union {
float params [1]
| variable sized array with parameter values
struct {
VstInt32 size
| size of program data
char chunk [1]
| variable sized array with opaque program data
} data
| program chunk data
} | content
| program content depending on fxMagic

## Detailed Description

Program (fxp) structure.

## Member Data Documentation

VstInt32 fxProgram::byteSize

size of this chunk, excl. magic + byteSize

char fxProgram::chunk[1]

variable sized array with opaque program data

VstInt32 fxProgram::chunkMagic

'CcnK'

union { ... } fxProgram::content

program content depending on fxMagic

struct { ... } fxProgram::data

program chunk data

VstInt32 fxProgram::fxID

fx unique ID

VstInt32 fxProgram::fxMagic

'FxCk' (regular) or 'FPCh' (opaque chunk)

VstInt32 fxProgram::fxVersion

fx version

VstInt32 fxProgram::numParams

number of parameters

float fxProgram::params[1]

variable sized array with parameter values

char fxProgram::prgName[28]

program name (null-terminated ASCII string)

VstInt32 fxProgram::size

size of program data

VstInt32 fxProgram::version

format version (currently 1)

The documentation for this struct was generated from the following file:

- vstfxstore.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.